'#edges': 1733
'#faces': 32476
'#norms': 21334
'#parts': 1
'#points': 1027
'#sharp': 879
'#surfs': 731
'#verts': 16218
bbox: [-10.500767313941212, -7.000767313931213, -0.0007673139312135516, 28.800767313941215,
  7.000767313931213, 4.687917180019102, 39.301534627882425, 14.001534627862426, 4.688684493950316]
curves: [Line, BSpline, Line, BSpline, BSpline, Ellipse, Ellipse, Line, Line, BSpline,
  Line, BSpline, Line, BSpline, BSpline, Ellipse, BSpline, Line, Line, BSpline, BSpline,
  Line, Circle, Line, Circle, Circle, Circle, Circle, Circle, Circle, Line, Circle,
  Line, Circle, Line, Circle, Line, Circle, Circle, Circle, Circle, Line, BSpline,
  Line, BSpline, BSpline, Ellipse, BSpline, Line, Line, BSpline, Line, BSpline, Line,
  BSpline, BSpline, BSpline, Ellipse, Line, Circle, Line, Line, Line, Circle, Line,
  Circle, Line, Circle, Line, Line, Line, Circle, Line, Circle, Line, Circle, Line,
  Circle, Line, Circle, Line, Line, Line, Circle, Line, Circle, Line, Circle, Line,
  Line, Line, Circle, Line, Circle, Line, Circle, Line, Line, Line, Circle, Line,
  Circle, Line, Circle, Line, Line, Line, Circle, Line, Circle, Line, Circle, Line,
  Line, Ellipse, Line, Ellipse, Ellipse, Line, Circle, Line, Line, Line, Line, Line,
  Ellipse, Line, Ellipse, Line, Line, Line, Line, Line, Circle, Circle, Circle, Circle,
  Circle, Line, Circle, Circle, Circle, Line, Ellipse, Line, Ellipse, Line, Line,
  Line, Line, Line, BSpline, Line, Circle, Line, BSpline, Ellipse, BSpline, Line,
  Line, BSpline, Circle, Line, Circle, Line, Circle, Circle, Circle, Circle, Circle,
  Circle, Circle, Circle, Circle, Line, Circle, Line, Line, Line, Line, Line, Line,
  Line, Line, Circle, Line, Line, Line, Line, Circle, Line, Circle, Line, Line, Circle,
  Line, Circle, Line, BSpline, Line, BSpline, BSpline, Ellipse, Ellipse, Line, Line,
  BSpline, BSpline, Line, Circle, Line, Circle, Line, Circle, Line, Circle, Line,
  Line, Circle, Circle, Circle, Circle, Circle, BSpline, Circle, Circle, Line, Circle,
  Line, Ellipse, Line, Line, Line, Ellipse, Line, Ellipse, Line, Line, Line, Circle,
  BSpline, Line, Circle, Line, Line, BSpline, Line, BSpline, Ellipse, BSpline, BSpline,
  Ellipse, BSpline, Ellipse, Line, Line, BSpline, Line, Circle, Line, Circle, Line,
  Line, Circle, Circle, Line, Circle, Line, Line, Ellipse, Line, Ellipse, Line, Circle,
  Line, Circle, Circle, Line, Circle, Circle, Circle, Circle, Circle, Circle, Line,
  Circle, Line, Ellipse, Line, Ellipse, Line, Line, Line, Line, Line, Circle, Circle,
  Circle, Circle, Circle, Line, Circle, Line, Line, Line, Line, Line, Circle, Line,
  Circle, Line, Circle, Line, Circle, Line, Line, Line, Circle, Line, Line, Line,
  Line, Line, Line, Line, Line, Circle, Line, Circle, Line, Line, Ellipse, Line, Ellipse,
  Line, Line, Line, Line, Line, Line, Line, Line, Line, BSpline, Line, BSpline, BSpline,
  Ellipse, BSpline, Line, Line, BSpline, Line, BSpline, Line, BSpline, BSpline, Ellipse,
  Ellipse, BSpline, Circle, Line, Line, Line, Circle, Line, Circle, Line, Circle,
  Circle, Circle, Circle, Line, BSpline, Line, BSpline, BSpline, Line, Circle, Line,
  Line, Circle, Line, Circle, Circle, Circle, Circle, Circle, Line, BSpline, Line,
  BSpline, Line, BSpline, Line, BSpline, Line, Line, Line, Line, Line, Line, Line,
  Line, Circle, Circle, Line, Line, Line, Line, Circle, Circle, Ellipse, Circle, Line,
  Circle, BSpline, Circle, Circle, Circle, Circle, Circle, Circle, Circle, Circle,
  Circle, Circle, Circle, Circle, Circle, Circle, Circle, Circle, Circle, Circle,
  Circle, Circle, Circle, Circle, Circle, Circle, Circle, Circle, Circle, Circle,
  Circle, Circle, Circle, Circle, Circle, Line, Line, Line, Line, Circle, Line, Line,
  Line, Line, Line, Line, Line, Line, Line, Line, Line, Line, Line, Line, Line, Line,
  Line, Line, Line, Line, Line, Line, Line, Line, Line, Line, Line, Line, Line, Line,
  Line, Line, Line, Line, Line, Line, Line, Line, Line, Line, Line, Line, Line, Line,
  Line, Line, Line, Line, Line, Circle, Circle, Circle, Circle, BSpline, Circle, Line,
  Line, Line, Circle, Line, Circle, Line, Circle, Line, Circle, Line, Line, Circle,
  Line, Ellipse, Line, Ellipse, Line, Line, Line, Circle, Line, Line, Line, Circle,
  Line, Line, Line, Circle, Line, Line, Line, Line, Line, Line, Line, Line, Line,
  Circle, Circle, Circle, Circle, Line, Circle, Line, Circle, Circle, Circle, Circle,
  Line, Circle, Line, Circle, Circle, Circle, Line, Ellipse, Line, Line, Line, Circle,
  Line, Line, Line, Circle, Line, Circle, Line, Circle, Line, Line, Line, Line, Line,
  Circle, Line, Circle, Line, Circle, Circle, Circle, Circle, Line, Ellipse, Line,
  Ellipse, Line, Circle, Line, Circle, Circle, Circle, Line, Line, Line, Line, Line,
  Circle, Line, Circle, Line, Circle, Line, Circle, Circle, BSpline, Circle, Line,
  Circle, Line, Circle, Line, Circle, Line, Line, Line, Circle, Line, Circle, Line,
  Line, Line, Line, Line, BSpline, Line, BSpline, Line, Line, Line, Line, Line, Line,
  Circle, Line, Line, Line, Circle, Ellipse, Line, Ellipse, Line, Line, Ellipse, Line,
  Ellipse, Circle, Line, Line, Ellipse, Line, Ellipse, Line, Line, Line, Line, Line,
  Line, Line, Line, Line, Line, Line, Line, Line, Line, Line, BSpline, Line, BSpline,
  BSpline, Line, Circle, Line, Line, Line, Circle, Line, Line, Circle, Line, Line,
  Line, Line, Line, Line, Line, Line, Line, Circle, Line, Circle, Line, Line, Circle,
  Circle, Circle, Circle, Line, Line, Line, Circle, BSpline, Circle, Circle, Line,
  Circle, Line, Circle, Line, Circle, Line, Line, Circle, Line, Line, Line, Line,
  Circle, Line, Line, Circle, Line, Line, Circle, Circle, Circle, Circle, Line, Line,
  Line, Ellipse, Line, Circle, Circle, Circle, Circle, Line, Line, Line, Line, Circle,
  Line, Circle, Line, Circle, Line, Circle, Line, Line, Line, Line, Line, Line, Line,
  Line, Line, Line, Circle, BSpline, Circle, Line, Circle, Line, Circle, BSpline,
  Circle, Circle, Circle, Circle, Line, Line, Circle, Line, Circle, Line, Line, Line,
  Line, Line, Circle, Line, Circle, Line, Line, Line, Line, Line, Line, Line, Line,
  Line, Ellipse, Line, Circle, Line, Line, Line, Line, Line, Line, Line, BSpline,
  Line, Line, Circle, Line, Line, Line, Line, Line, Line, Line, Line, Line, Ellipse,
  Ellipse, Line, Line, Ellipse, Circle, Line, Circle, Line, Circle, Line, Circle,
  Line, Circle, Line, Circle, Line, Line, Line, Line, Circle, Line, Circle, Line,
  Line, Line, Line, Circle, Line, Line, Line, Circle, Line, Line, Circle, Line, Line,
  Line, Line, Line, Line, Line, Line, Ellipse, Line, Ellipse, Circle, Line, Line,
  Circle, Circle, Circle, Circle, Circle, Circle, Circle, Line, Line, Circle, Circle,
  Circle, Circle, Line, Ellipse, Circle, Line, Line, BSpline, Line, BSpline, Ellipse,
  BSpline, Line, Circle, Line, Circle, Line, Circle, Line, Circle, Circle, Line, Circle,
  Line, Circle, Line, Line, Line, Line, Line, Line, Line, Line, Circle, Line, Circle,
  Line, Line, Ellipse, Line, Line, Circle, Line, Circle, Line, Circle, Circle, Line,
  Line, Line, Line, Ellipse, Line, Line, Line, Line, Line, BSpline, BSpline, Circle,
  Circle, Circle, Line, Line, Line, BSpline, Line, Circle, BSpline, Line, BSpline,
  Ellipse, BSpline, Line, BSpline, Line, BSpline, BSpline, Ellipse, Ellipse, Line,
  Line, Ellipse, BSpline, Ellipse, Line, Line, Line, Circle, Circle, Line, Circle,
  Line, Circle, Line, Line, Circle, Line, Line, Circle, Circle, Circle, Line, Circle,
  Line, Circle, Line, Circle, Circle, Line, Line, Line, Line, Line, Circle, Circle,
  Circle, Circle, Circle, Circle, Circle, Line, Circle, Circle, Circle, Line, Line,
  Circle, Circle, Line, Line, Line, Circle, Circle, Circle, Circle, Circle, Ellipse,
  BSpline, Line, BSpline, Ellipse, Line, Circle, Line, Line, Ellipse, Ellipse, Line,
  Line, Circle, Circle, Line, Circle, Line, Circle, Line, Circle, Line, BSpline, BSpline,
  Ellipse, BSpline, Ellipse, BSpline, Ellipse, Line, Line, Circle, Circle, Circle,
  Circle, Line, Circle, Circle, Line, Circle, Line, Circle, Circle, Line, Line, Circle,
  Circle, Circle, Circle, Line, Line, Line, Line, Circle, Line, Circle, Circle, Circle,
  Circle, Line, Circle, Circle, Circle, Line, Circle, Circle, Circle, Circle, Line,
  Line, Line, Line, Circle, Circle, Line, Line, Line, Circle, Line, Line, Circle,
  Circle, Circle, Line, Line, Line, Line, Line, Circle, Circle, Circle, Circle, Line,
  Line, Circle, Circle, Circle, Line, Line, Circle, Circle, Line, Circle, Circle,
  Circle, Line, Circle, Circle, Line, Circle, Line, Line, Line, Line, Circle, Line,
  Circle, Circle, Circle, Circle, Line, Circle, Circle, Circle, Line, Circle, Circle,
  Line, Circle, Line, Circle, Line, Circle, Circle, Circle, Line, Circle, Circle,
  Circle, Line, Circle, BSpline, BSpline, Line, Line, Circle, Line, Circle, Line,
  Circle, Line, Circle, Circle, Circle, Line, Circle, Line, Circle, Circle, Circle,
  Circle, Circle, Line, Line, Line, Line, Ellipse, Line, Line, Line, Line, Line, Line,
  Line, Line, Line, Circle, Line, Circle, Line, Line, Line, Ellipse, BSpline, Line,
  Line, Ellipse, Line, Circle, Line, Circle, Line, Circle, Line, Line, Line, Line,
  Line, BSpline, Ellipse, Line, Line, BSpline, BSpline, Ellipse, Line, Line, Ellipse,
  Line, Circle, Circle, Line, Circle, Line, Line, Circle, Line, Circle, Line, Line,
  Line, Line, Line, Circle, Line, Circle, Line, Circle, Line, Circle, Line, Circle,
  Line, Circle, Circle, Circle, Line, Circle, Circle, Line, Line, Line, Line, Line,
  Line, Line, Line, Line, Line, Line, Line, Line, Circle, Circle, Circle, Circle,
  Line, Line, Circle, Circle, BSpline, Circle, Circle, Circle, Line, Ellipse, Line,
  Ellipse, Line, Line, Line, Line, Line, Line, Line, Line, Ellipse, Line, Ellipse,
  Line, Ellipse, Line, Line, Line, Ellipse, Line, Line, Line, Line, Line, Line, Ellipse,
  Line, Line, Line, Line, Line, Line, Line, Ellipse, Line, Line, Line, Ellipse, Ellipse,
  Line, Ellipse, Line, Ellipse, Circle, Circle, Ellipse, Line, Ellipse, Line, Circle,
  Circle, Circle, Line, Line, Line, Circle, Line, Line, Circle, Circle, Line, Circle,
  Line, Circle, Circle, Line, Circle, Line, Line, Line, Line, Line, Circle, Line,
  Line, Line, Circle, Line, Circle, Line, Line, Line, Line, Line, Line, Circle, Line,
  Circle, Circle, BSpline, Circle, Circle, Circle, Circle, Line, Line, Line, Line,
  Line, Ellipse, Line, Line, Ellipse, Line, Line, Ellipse, Line, Line, Line, Line,
  Line, Line, Line, Line, Line, Line, Line, Line, Line, Line, Line, Line, Line, Line,
  Line, Line, Line, Line, Line, Line, Line, Line, Line, Line, Line, Line, Line, Line,
  Ellipse, Line, Line, Line, Line, Line, Line, Line, Line, Line, Circle, Circle, Circle,
  Line, Ellipse, Line, Ellipse, Ellipse, Line, Line, Line, Line, Line, Line, Line,
  Ellipse, Ellipse, Line, Line, Line, Line, Line, Line, Circle, Circle, Circle, Line,
  Line, Line, Line, Circle, Line, Circle, Line, Circle, Line, Circle, Line, Circle,
  Line, Circle, Line, Line, Line, Line, Line, Line, Line, Circle, Line, Line, Line,
  Line, Circle, Line, Circle, Line, Circle, Circle, Line, Line, Line, Ellipse, Ellipse,
  Line, Line, Line, Circle, Circle, Circle, Circle, Line, Line, Circle, BSpline, Circle,
  Circle, Line, BSpline, Line, BSpline, BSpline, BSpline, Line, BSpline, BSpline,
  Line, Line, Line, Circle, Line, Circle, Line, Circle, Line, Circle, Line, Line,
  Circle, Circle, Circle, Circle, Line, Circle, Circle, Line, Circle, Circle, Circle,
  Line, Circle, Circle, Circle, Circle, Line, Circle, Circle, Line, Line, Line, Circle,
  Circle, Line, Circle, Circle, Line, Line, Circle, Line, Line, Line, Line, Circle,
  Line, Line, Circle, Line, Line, Line, Line, Circle, Circle, Circle, Line, Circle,
  Line, Circle, Circle, Line, Circle, Circle, Line, Line, Line, Line, Circle, Line,
  Line, Line, Line, Line, Circle, Line, Circle, Circle, Line, Line, Line, Line, Line,
  Line, Line, Circle, Line, Circle, Line, Circle, Line, Circle, Circle, Circle, Line,
  Line, Line, Line, Line, Line, Circle, Line, Circle, Line, Circle, Line, Line, Circle,
  Line, Line, Line, Line, Line, BSpline, Circle, BSpline, Circle, Line, Circle, Circle,
  Circle, Line, Circle, Circle, Line, Circle, Circle, Circle, BSpline, BSpline, Circle,
  BSpline, BSpline, Circle, Circle, BSpline, Circle, BSpline, BSpline, Circle, BSpline,
  Circle, BSpline, Ellipse, Ellipse, Ellipse, Line, Line, Circle, Line, Ellipse, Line,
  Circle, Line, Line, Line, Circle, Line, Line, Line, Line, Line, Line, Ellipse, Line,
  Line, Line, Ellipse, Ellipse, Ellipse, Circle, Circle, Circle, Circle, Line, Line,
  Circle, Circle, Line, Line, Circle, Circle, Circle, Line, Circle, Line, Circle,
  Line, Line, Circle, Circle, Circle, Circle, Circle, Line, Circle, Line, Circle,
  Line, Circle, Circle, Circle, Circle, Circle, Line, Circle, Circle, Line, Line,
  Line]
diag: 41.98377494134707
gaus_curv: -8799103.610496042
max_length: 0.00041983774941347073
mean_curv: -2791.2633013264845
model: /beegfs/work/panozzo/onshape/datasets/abc/0097/step/00973937/00973937_dc15d9964d95c86c09bd0aa0_step_004.step
surface: 4.428146768812327e-07
surfs: [Cylinder, BSpline, Cylinder, Cylinder, BSpline, Cylinder, Cylinder, Torus,
  Plane, Cylinder, Cylinder, Torus, Cylinder, BSpline, Cylinder, Cylinder, BSpline,
  Cylinder, Plane, Cylinder, Plane, Plane, Cylinder, Cylinder, Plane, Cylinder, Plane,
  Torus, Cylinder, Cylinder, Cylinder, Plane, Cylinder, BSpline, Cylinder, Cylinder,
  Torus, Torus, Cylinder, Plane, Plane, Plane, Cylinder, Cylinder, Cylinder, BSpline,
  Cylinder, Cylinder, Cylinder, Cylinder, Torus, Cylinder, Cylinder, Cylinder, Cylinder,
  Plane, Cylinder, Cylinder, BSpline, BSpline, Cylinder, Cylinder, Cylinder, Cylinder,
  Cylinder, Cylinder, Cylinder, Torus, Cylinder, Cylinder, Plane, Torus, Cylinder,
  Plane, Cylinder, Cylinder, Plane, Plane, Plane, Cylinder, Cylinder, Plane, Plane,
  Cylinder, BSpline, Cylinder, Cylinder, BSpline, Cylinder, Plane, Cylinder, Torus,
  Cylinder, Cylinder, Cylinder, Torus, Cylinder, Cylinder, Cylinder, Plane, Plane,
  Torus, Plane, Torus, Cylinder, Torus, Torus, Plane, Cylinder, Plane, Plane, Torus,
  Torus, Plane, Cylinder, Plane, Cylinder, Plane, Plane, Plane, Cylinder, Plane, Plane,
  Torus, Cylinder, Torus, Cylinder, Torus, Cylinder, Plane, Cylinder, Plane, Cylinder,
  Cylinder, Plane, Cylinder, Torus, Cylinder, Cylinder, Cylinder, Plane, Cylinder,
  Plane, Plane, Cylinder, Cylinder, Plane, Cylinder, Cylinder, Cylinder, Cylinder,
  Cylinder, Cylinder, Plane, Plane, Plane, Plane, Plane, Cylinder, Cylinder, Plane,
  Cylinder, Plane, Plane, Plane, Plane, Torus, Plane, Cylinder, Torus, Cylinder, Cylinder,
  Cylinder, Cylinder, Plane, Torus, Cylinder, Cylinder, Torus, Plane, Plane, Plane,
  Plane, Cylinder, Cylinder, Torus, Torus, Cylinder, Cylinder, Plane, Plane, Cylinder,
  Plane, Plane, Cylinder, Cylinder, Cylinder, Plane, Plane, Cylinder, Cylinder, Plane,
  Plane, Plane, Plane, Cylinder, Cylinder, Plane, Plane, Cylinder, Plane, Plane, Cylinder,
  Plane, Plane, Cylinder, Cylinder, Torus, Torus, Plane, Torus, Cylinder, Cylinder,
  Cylinder, BSpline, Cylinder, Cylinder, Cylinder, Cylinder, Plane, Plane, Plane,
  Cylinder, Cylinder, Plane, Cylinder, Cylinder, Plane, Cylinder, Plane, Cylinder,
  Torus, Plane, Plane, Plane, Plane, Plane, Cylinder, Cylinder, BSpline, Cylinder,
  BSpline, Cylinder, BSpline, BSpline, Plane, Cylinder, Plane, Cylinder, Torus, Cylinder,
  Cylinder, Torus, Cylinder, Plane, Plane, Plane, Cylinder, Torus, Cylinder, Torus,
  Cylinder, Torus, Cylinder, Cylinder, Cylinder, Torus, Cylinder, Plane, Cylinder,
  Cylinder, Plane, Cylinder, Torus, Cylinder, Torus, Cylinder, Torus, BSpline, Cylinder,
  BSpline, Cylinder, Plane, BSpline, BSpline, Plane, Plane, Cylinder, BSpline, BSpline,
  BSpline, Plane, Cylinder, Torus, Cylinder, Torus, Cylinder, Torus, Cylinder, Cylinder,
  Torus, Torus, Cylinder, Cylinder, Plane, Plane, Cylinder, Cylinder, Torus, Torus,
  Plane, Torus, Cylinder, Torus, Cylinder, Torus, Cylinder, Cylinder, Plane, Cylinder,
  Plane, Torus, Torus, Cylinder, Cylinder, Cylinder, Torus, Cylinder, Cylinder, Plane,
  Cylinder, Plane, Plane, Torus, Cylinder, Torus, Cylinder, Torus, Plane, Torus, Cylinder,
  Torus, Cylinder, Torus, Cylinder, Plane, Plane, Cylinder, Plane, Cylinder, Torus,
  Cylinder, Torus, Cylinder, Torus, Cylinder, Cylinder, Torus, Cylinder, Torus, Cylinder,
  Torus, Cylinder, Cylinder, Plane, Plane, Torus, Plane, Cylinder, Plane, Cylinder,
  Plane, Plane, Torus, Cylinder, Plane, BSpline, Plane, Cylinder, Plane, BSpline,
  Cylinder, BSpline, Cylinder, BSpline, Plane, Cylinder, Torus, Cylinder, Plane, Cylinder,
  Plane, Plane, Cylinder, Cylinder, Torus, Plane, Torus, Cylinder, Torus, Cylinder,
  Plane, Cylinder, Plane, Cylinder, Plane, Plane, Plane, Plane, Plane, Cylinder, Plane,
  Cylinder, Cylinder, Cylinder, Plane, Plane, Cylinder, Cylinder, Cylinder, Cylinder,
  Plane, Plane, Cylinder, Cylinder, Plane, Plane, Cylinder, Cylinder, Plane, Plane,
  Cylinder, Cylinder, Cylinder, Cylinder, Cylinder, Cylinder, Cylinder, Plane, Cylinder,
  Torus, Plane, Plane, Cylinder, Torus, Cylinder, Plane, Cylinder, Cylinder, Plane,
  Plane, Plane, Plane, Cylinder, Torus, Torus, Plane, Plane, Plane, Cylinder, Cylinder,
  Plane, Cylinder, Cylinder, Cylinder, Plane, Plane, Plane, Cylinder, Plane, Plane,
  Plane, Plane, Plane, Plane, Plane, Plane, Cylinder, Plane, Plane, Plane, Plane,
  Plane, Plane, Plane, Plane, Plane, Plane, Cylinder, Plane, Cylinder, Plane, Plane,
  Plane, Plane, Plane, Plane, BSpline, Plane, Cylinder, Plane, Torus, Cylinder, Plane,
  Plane, Cylinder, Torus, Plane, Plane, Cylinder, Cylinder, Plane, Plane, Plane, Plane,
  Plane, Plane, Plane, Plane, Plane, Plane, Cylinder, Plane, Cylinder, Torus, Torus,
  Cylinder, Plane, Cylinder, Cylinder, Torus, Cylinder, Cylinder, Cylinder, BSpline,
  Cylinder, BSpline, BSpline, Plane, Cylinder, Plane, Cylinder, Torus, Cylinder, Torus,
  Cylinder, Torus, Cylinder, Torus, Cylinder, Torus, Torus, Cylinder, Plane, Cylinder,
  Plane, Plane, Cylinder, Torus, Cylinder, Torus, Torus, Torus, Cylinder, Plane, Cylinder,
  Plane, Cylinder, Plane, Cylinder, Plane, Plane, Plane, Plane, Cylinder, Torus, Cylinder,
  Torus, Cylinder, Plane, Cylinder, Plane, Cylinder, Cylinder, Plane, Cylinder, Cylinder,
  Torus, Cylinder, Cylinder, Cylinder, Plane, Cylinder, Plane, Cylinder, Torus, Plane,
  Cylinder, Cylinder, Plane, Plane, Cylinder, Torus, Cylinder, Cylinder, Cylinder,
  Plane, Plane, Plane, Plane, BSpline, Cylinder, Plane, Cylinder, Plane, Plane, Plane,
  Cylinder, Cylinder, Torus, Plane, Torus, Plane, Cylinder, Torus, Torus, BSpline,
  Cylinder, Torus, Cylinder, Cylinder, Plane, Plane, Cylinder, BSpline, Cylinder,
  Plane, Cylinder, BSpline, Cylinder, Cylinder, Cylinder, Cylinder, Cylinder, Plane,
  Cylinder, Cylinder, Cylinder, Plane, Cylinder, Plane, Plane, Plane, Plane, Cylinder,
  Plane, Cylinder, Cylinder, Plane, Plane, Cylinder, Cylinder, Cylinder, Plane, Cylinder,
  Cylinder, Torus, Plane, Torus, Plane, Torus, Torus, Cylinder, Plane, Cylinder, Torus,
  Cylinder, Plane, Cylinder, Cylinder, Cylinder, Plane, Cylinder, Torus, Cylinder,
  Cylinder, Torus, Torus, Cylinder, Cylinder, Plane, Cylinder, Cylinder, Cylinder,
  Torus, Cylinder, Torus, Plane, Cylinder, Torus, Torus, Cylinder, Cylinder, Torus,
  Plane, Torus, Plane, Cylinder, Cylinder, Plane, Cylinder, Cylinder, Cylinder, Cylinder,
  Plane, Cylinder, Cylinder, Plane, Plane, Cylinder, Plane]
tolerance: 4.198377494134707e-06
volume: 3.742844731259109e-06
